CREATE TABLE Child ( 
	id INTEGER PRIMARY KEY AUTOINCREMENT,
	guid VARCHAR NOT NULL,
	birthdate TIMESTAMP,
	firstname VARCHAR,
	gender VARCHAR,
	lastname VARCHAR,
	profiletime TIMESTAMP,
	runningbreastfeedid VARCHAR,
	runningpumpingid VARCHAR,
	runningbottleid VARCHAR,
	runningsleepid VARCHAR
);

CREATE TABLE Photo (
	id INTEGER PRIMARY KEY AUTOINCREMENT,
	child_guid VARCHAR REFERENCES Child(guid) ON DELETE CASCADE ON UPDATE CASCADE,
	filePath VARCHAR
);

CREATE TABLE Color ( 
	id INTEGER PRIMARY KEY,		
	alpha FLOAT,
	blue FLOAT,
	green FLOAT,
	red FLOAT, 
	description VARCHAR 
);

CREATE TABLE JournalEntry (
	id INTEGER PRIMARY KEY,	
	ispaused INTEGER,
	child_id INTEGER REFERENCES Child(id) ON DELETE CASCADE ON UPDATE CASCADE,
    child_guid VARCHAR,
	didfeedonbothsides INTEGER,
	diaperdidleak INTEGER,
	typenumber INTEGER,
	color_id INTEGER REFERENCES Color(id) ON DELETE CASCADE ON UPDATE CASCADE,
	didlaydownwhileawake INTEGER,
	isdaytimesleeptype INTEGER,
	duration FLOAT,
	lastsavedtime TIMESTAMP,
	secondsspentpaused FLOAT,
	starttime DATETIME,
	timepaused TIMESTAMP, 
	formulastartamount FLOAT, 
	formulastopamount FLOAT, 
	headcircumference FLOAT, 
	zlength FLOAT, 
	weight FLOAT, 
	endamountpumped FLOAT, 
	startamountpumped FLOAT, 
	journaldate VARCHAR, 
	entrydescription VARCHAR, 
	note VARCHAR, 
	startside VARCHAR, 
	consistency VARCHAR
);